%define ver_major 2.30

%set_verify_elf_method unresolved=relaxed

Name: nautilus-actions
Version: %ver_major.3
Release: alt1

Summary: Nautilus extension for customizing the context menu
Group: Graphical desktop/GNOME
License: GPLv2+
Url: http://www.grumz.net/node/8

Source: http://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2
Patch: %name-2.30.0-alt-makefile.patch
Patch1: %name-2.30.0-alt-linking.patch

BuildPreReq: gnome-common
BuildRequires: libnautilus-devel libuuid-devel gettext libxml2-devel libdbus-glib-devel
BuildRequires: libunique-devel perl-XML-Parser intltool libGConf-devel libSM-devel

%description
Nautilus-actions is an extension for Nautilus file manager which
allows the user to add arbitrary program to be launched through the
Nautilus file manager popup menu of selected files.

%package devel
Summary: Development package for Nautilus-actions
Group: Development/C
Requires: %name = %version-%release

%description devel
Nautilus-actions is an extension for Nautilus file manager which
allows the user to add arbitrary program to be launched through the
Nautilus file manager popup menu of selected files.

This package provides development files needed to write extensions for
Nautilus-actions

%prep
%setup -q
%patch
%patch1

%build
%autoreconf
export LDFLAGS="$LDFLAGS -luuid `pkg-config --libs gobject-2.0`"
%configure --disable-schemas-install \
	    --enable-compile-warnings=maximum

%make_build

%install
make DESTDIR=%buildroot install

%find_lang %name

%define schemas nautilus-actions-confs nautilus-actions-prefs

%post
%gconf2_install %schemas

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %schemas
fi

%files -f %name.lang
%_bindir/*
%_libdir/%name/*.so
%_libdir/nautilus/extensions-2.0/*.so
%_datadir/%name/
%_iconsdir/hicolor/*/apps/nautilus-actions.*
%_datadir/applications/nact.desktop
%config %_sysconfdir/gconf/schemas/nautilus-actions-confs.schemas
%config %_sysconfdir/gconf/schemas/nautilus-actions-prefs.schemas
%doc AUTHORS ChangeLog README TODO

%exclude %_libdir/%name/*.la
%exclude %_libdir/nautilus/extensions-2.0/*.la

%files devel
%_includedir/%name/

%changelog
* Fri Jun 11 2010 Yuri N. Sedunov <aris@altlinux.org> 2.30.3-alt1
- 2.30.3

* Sat Mar 27 2010 Yuri N. Sedunov <aris@altlinux.org> 2.30.0-alt1
- 2.30.0

* Sat Nov 07 2009 Yuri N. Sedunov <aris@altlinux.org> 1.12.3-alt1
- 1.12.3

* Tue Aug 04 2009 Yuri N. Sedunov <aris@altlinux.org> 1.11.2-alt1
- first build for Sisyphus

